INTERFACE
SUBROUTINE DIWRGRFP(KMTAGDISTGP,KNFG,KDIMGP,KGPL,KGPLX,KNFL,&
 & KGPIND,KGPD,KNFD,KFLDOFF,PREALL,PREALG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCT0 , ONLY : NPROC
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KMTAGDISTGP
INTEGER(KIND=JPIM),INTENT(IN) :: KNFG
INTEGER(KIND=JPIM),INTENT(IN) :: KDIMGP
INTEGER(KIND=JPIM),INTENT(IN) :: KGPL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPLX
INTEGER(KIND=JPIM),INTENT(IN) :: KNFL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPIND(KGPLX,NPROC)
INTEGER(KIND=JPIM),INTENT(IN) :: KGPD(NPROC)
INTEGER(KIND=JPIM),INTENT(IN) :: KNFD(NPROC)
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDOFF(NPROC)
REAL(KIND=JPRB) ,INTENT(IN) :: PREALL(KGPL,KNFG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PREALG(KDIMGP,KNFL)
END SUBROUTINE DIWRGRFP
END INTERFACE
